Bug 1665662 - dnf update: AttributeError: 'NoneType' object has no attribute 'typeattributes'
Summary: dnf update: AttributeError: 'NoneType' object has no attribute 'typeattributes'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach 👨
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-12 08:48 UTC by Kamil Páral
Modified: 2019-01-23 02:28 UTC (History)
6 users (show)

Fixed In Version: policycoreutils-2.8-15.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-23 02:28:09 UTC


Attachments (Terms of Use)

Description Kamil Páral 2019-01-12 08:48:10 UTC
Description of problem:

During upgrade to selinux-policy-3.14.2-44.fc29:

  Installing       : selinux-policy-3.14.2-44.fc29.noarch                                                        38/640 
  Running scriptlet: selinux-policy-3.14.2-44.fc29.noarch                                                        38/640 
  Running scriptlet: selinux-policy-minimum-3.14.2-44.fc29.noarch                                                39/640 
  Installing       : selinux-policy-minimum-3.14.2-44.fc29.noarch                                                39/640 
  Running scriptlet: selinux-policy-minimum-3.14.2-44.fc29.noarch                                                39/640 
Traceback (most recent call last):
  File "/usr/sbin/semanage", line 28, in <module>
    import seobject
  File "/usr/lib/python3.7/site-packages/seobject.py", line 1039, in <module>
    class portRecords(semanageRecords):
  File "/usr/lib/python3.7/site-packages/seobject.py", line 1041, in portRecords
    valid_types = list(list(sepolicy.info(sepolicy.ATTRIBUTE, "port_type"))[0]["types"])
  File "/usr/lib/python3.7/site-packages/sepolicy/__init__.py", line 197, in <genexpr>
    return ({
  File "/usr/lib64/python3.7/site-packages/setools/typeattrquery.py", line 65, in results
    for attr in self.policy.typeattributes():
AttributeError: 'NoneType' object has no attribute 'typeattributes'

  Running scriptlet: tpm2-abrmd-selinux-2.0.0-2.fc29.noarch                                                      40/640 
  Installing       : tpm2-abrmd-selinux-2.0.0-2.fc29.noarch                                                      40/640 
  Running scriptlet: tpm2-abrmd-selinux-2.0.0-2.fc29.noarch                                                      40/640 
Failed to resolve roletype statement at /var/lib/selinux/targeted/tmp/modules/200/tabrmd/cil:2
/usr/sbin/semodule:  Failed!


$ getenforce 
Disabled


Version-Release number of selected component (if applicable):
selinux-policy-3.14.2-44.fc29.noarch
tpm2-abrmd-selinux-2.0.0-2.fc29.noarch

Comment 2 Fedora Update System 2019-01-21 20:51:16 UTC
policycoreutils-2.8-15.fc29 libselinux-2.8-6.fc29 libsepol-2.8-3.fc29 libsemanage-2.8-8.fc29 checkpolicy-2.8-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-16fd3acb03

Comment 3 Fedora Update System 2019-01-22 03:04:04 UTC
checkpolicy-2.8-3.fc29, libselinux-2.8-6.fc29, libsemanage-2.8-8.fc29, libsepol-2.8-3.fc29, policycoreutils-2.8-15.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-16fd3acb03

Comment 4 Fedora Update System 2019-01-23 02:28:09 UTC
checkpolicy-2.8-3.fc29, libselinux-2.8-6.fc29, libsemanage-2.8-8.fc29, libsepol-2.8-3.fc29, policycoreutils-2.8-15.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.